<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000333.png" type="DMXDevice" dmxcversion="3.1.0" ddfversion="1.0.0">
  <information>
    <ddf-library-id>1007</ddf-library-id>
    <model>MAC 101 RGB</model>
    <vendor>Martin</vendor>
    <author>Patrick Grote</author>
    <mode>Basic</mode>
  </information>
  <functions>
    <shutter dmxchannel="0">
      <step type="closed" mindmx="0" maxdmx="19"/>
      <step type="open" mindmx="20" maxdmx="49"/>
      <step type="open" mindmx="65" maxdmx="69"/>
      <step type="open" mindmx="85" maxdmx="89"/>
      <step type="open" mindmx="105" maxdmx="109"/>
      <step type="open" mindmx="125" maxdmx="129"/>
      <step type="open" mindmx="145" maxdmx="149"/>
      <step type="open" mindmx="165" maxdmx="169"/>
      <step type="open" mindmx="185" maxdmx="189"/>
      <step type="open" mindmx="205" maxdmx="209"/>
      <step type="open" mindmx="225" maxdmx="229"/>
      <step type="open" mindmx="245" maxdmx="255"/>
    </shutter>
    <strobe dmxchannel="0">
      <range type="linear" mindmx="64" maxdmx="50" minval="0.5" maxval="10"/>
      <range type="pulse up" mindmx="84" maxdmx="70" minval="0.5" maxval="10"/>
      <range type="pulse down" mindmx="104" maxdmx="90" minval="0.5" maxval="10"/>
      <range type="random" mindmx="124" maxdmx="110" minval="0.5" maxval="10"/>
      <range type="random pulse up" mindmx="144" maxdmx="130" minval="0.5" maxval="10"/>
      <range type="random pulse down" mindmx="164" maxdmx="150" minval="0.5" maxval="10"/>
      <range type="burst" mindmx="244" maxdmx="230" minval="0.5" maxval="10"/>
      <range type="burst pulse" mindmx="184" maxdmx="170" minval="0.5" maxval="10"/>
      <range type="burst random" mindmx="204" maxdmx="190" minval="0.5" maxval="10"/>
      <range type="sinuswave" mindmx="224" maxdmx="210" minval="0.5" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="1"/>
    <position>
      <pan dmxchannel="2" finedmxchannel="3">
        <range range="430"/>
      </pan>
      <tilt dmxchannel="4" finedmxchannel="5">
        <range range="300"/>
      </tilt>
    </position>
    <const dmxchannel="6" val="25"/>
    <colorwheel dmxchannel="7">
      <step type="color" val="#ffffff" caption="White" mindmx="0" maxdmx="9"/>
      <step type="color" val="#ffeb34" caption="Moroccan pink 790" mindmx="10" maxdmx="14"/>
      <step type="color" val="#d68630" caption="Pink 157" mindmx="15" maxdmx="19"/>
      <step type="color" val="#ff002c" caption="Special rose pink 332" mindmx="20" maxdmx="24"/>
      <step type="color" val="#ff3b71" caption="Follies pink 328" mindmx="25" maxdmx="29"/>
      <step type="color" val="#ff8adb" caption="Fuchsia pink345" mindmx="30" maxdmx="34"/>
      <step type="color" val="#e2afe2" caption="Surprise pink 194" mindmx="35" maxdmx="39"/>
      <step type="color" val="#2801ff" caption="Congo Blue 181" mindmx="40" maxdmx="44"/>
      <step type="color" val="#0000ff" caption="Tokyo Blue 071" mindmx="45" maxdmx="49"/>
      <step type="color" val="#004eff" caption="Deep Blue 120" mindmx="50" maxdmx="54"/>
      <step type="color" val="#00c7ff" caption="Just Blue 079" mindmx="55" maxdmx="59"/>
      <step type="color" val="#00ffea" caption="Medium Blue 132" mindmx="60" maxdmx="64"/>
      <step type="color" val="#95f6ff" caption="Double CT Blue 200" mindmx="65" maxdmx="69"/>
      <step type="color" val="#89ffe3" caption="State Blue 161" mindmx="70" maxdmx="74"/>
      <step type="color" val="#d5dcde" caption="Full CT Blue 201" mindmx="75" maxdmx="79"/>
      <step type="color" val="#dbe8af" caption="Half CT Blue 202" mindmx="80" maxdmx="84"/>
      <step type="color" val="#cdffc7" caption="Steel Blue 117" mindmx="85" maxdmx="89"/>
      <step type="color" val="#73ffa5" caption="Lighter Blue 353" mindmx="90" maxdmx="94"/>
      <step type="color" val="#06ff8f" caption="Light Blue 118" mindmx="95" maxdmx="99"/>
      <step type="color" val="#00ff5e" caption="Medium Blue Green 116" mindmx="100" maxdmx="104"/>
      <step type="color" val="#1dff00" caption="Dark Green 124" mindmx="105" maxdmx="109"/>
      <step type="color" val="#20df00" caption="Primary Green 139" mindmx="110" maxdmx="114"/>
      <step type="color" val="#4bff00" caption="Moss Green 089" mindmx="115" maxdmx="119"/>
      <step type="color" val="#50e800" caption="Fern Green 122" mindmx="120" maxdmx="124"/>
      <step type="color" val="#6ce200" caption="JAS Green 738" mindmx="125" maxdmx="129"/>
      <step type="color" val="#91c200" caption="Lime Green 088" mindmx="130" maxdmx="134"/>
      <step type="color" val="#d2ff00" caption="Spring Yellow 100" mindmx="135" maxdmx="139"/>
      <step type="color" val="#e1e800" caption="Deep Amber 104" mindmx="140" maxdmx="144"/>
      <step type="color" val="#17d700" caption="Chrome Orange 179" mindmx="145" maxdmx="149"/>
      <step type="color" val="#f7d600" caption="Orange 105" mindmx="150" maxdmx="154"/>
      <step type="color" val="#ffa300" caption="Gold Amber 021" mindmx="155" maxdmx="159"/>
      <step type="color" val="#ff9800" caption="Millennium Gold 778" mindmx="160" maxdmx="164"/>
      <step type="color" val="#ff6c00" caption="Deep Golden Amber 135" mindmx="165" maxdmx="169"/>
      <step type="color" val="#ff5000" caption="Flame Red 164" mindmx="170" maxdmx="174"/>
      <rainbow>
        <range type="cw" mindmx="202" maxdmx="180" minval="0.1" maxval="5"/>
        <range type="ccw" mindmx="207" maxdmx="229" minval="0.1" maxval="5"/>
      </rainbow>
      <random>
        <step type="fast" mindmx="235" maxdmx="239"/>
        <step type="medium" mindmx="240" maxdmx="244"/>
        <step type="slow" mindmx="245" maxdmx="249"/>
      </random>
    </colorwheel>
  </functions>
  <procedures>
    <reset>
      <!--We need these construction to run the Reset if it is Disabled in the Moving-light-->
      <set dmxchannel="1" value="232"/>
      <set dmxchannel="0" value="0"/>
      <hold value="500"/>
      <set dmxchannel="6" value="11"/>
      <hold value="6000"/>
      <restore dmxchannel="6"/>
      <restore dmxchannel="0"/>
      <restore dmxchannel="1"/>
    </reset>
    <procedure name="Pan/Tilt-Speed NORM">
      <set dmxchannel="6" value="41"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Pan/Tilt-Speed FAST">
      <set dmxchannel="6" value="46"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Pan/Tilt-Speed SLOW">
      <set dmxchannel="6" value="51"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Fan-Mode Full">
      <set dmxchannel="6" value="61"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Fan-Mode Regulated">
      <set dmxchannel="6" value="71"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Calibrated Output">
      <set dmxchannel="6" value="91"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Raw Output">
      <set dmxchannel="6" value="101"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Dimming Fast">
      <set dmxchannel="6" value="111"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <procedure name="Dimming Slow">
      <set dmxchannel="6" value="121"/>
      <hold value="5000"/>
      <restore dmxchannel="6"/>
    </procedure>
    <display_on>
      <set dmxchannel="6" value="251"/>
      <hold value="60000"/>
      <restore dmxchannel="6"/>
    </display_on>
  </procedures>
</device>
